[Overview][Resource strings][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'daemonapp' (#fcl)

# TCustomDaemonApplication.OnRun

Event executed when the daemon is run.

## Declaration

Source position: daemonapp.pp line 401

`public property TCustomDaemonApplication.OnRun : TNotifyEvent read FOnRun write FOnRun;`

## Description

OnRun is triggered when the daemon application is run and no appropriate options (one of install, uninstall or run) was given.

## See also

TCustomDaemonApplication.RunDaemons |  | Run all daemons.
TCustomDaemonApplication.InstallDaemons |  | Install all daemons.
TCustomDaemonApplication.UnInstallDaemons |  | Uninstall all daemons